#include "JsonLogic.h"

namespace json_logic
{
    Json JsonLogic::operation_array_none(JsonArrayView values, JsonView data) const
    {
        const Json some = operation_array_some(values, data);
        if (HasError()) return Json{};
        return MakeBoolean(!some.as<bool>());
    }
}
